package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.DutyShiftSystemDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.OrdinaryAssistant;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 值班交接制度文档生成
 * @author: rengb
 * @time: 2020/3/17 13:24
 */
public class TaiZhouDutyShiftSystemDocTrans extends ModelDocTrans {

    @Override
    public List<DutyShiftSystemDoc> extract(MedrecVo medrecVo) {
        List<DutyShiftSystemDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            retList.add(getDutyShiftSystemDoc(content));
        });
        return retList;
    }

    private DutyShiftSystemDoc getDutyShiftSystemDoc(String content) {
        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(TzXmlUtil.getXmlToMapForTZ(content), keyContrasts);

        DutyShiftSystemDoc dutyShiftSystemDoc = new DutyShiftSystemDoc();
        dutyShiftSystemDoc.setStructureMap(structureMap);

        return dutyShiftSystemDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList();

}